﻿using System;
using System.Windows.Forms;

namespace AppLauncher
{
    static class Program
    {
        const string applicationID = "f31c9f65-4047-41e4-ac85-dbe11d12ee46";

        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            System.Threading.Mutex mutex = new System.Threading.Mutex(false, applicationID);
            if (mutex.WaitOne(TimeSpan.Zero))
            {
                Application.EnableVisualStyles();
                Application.SetCompatibleTextRenderingDefault(false);
                Application.Run(new MainForm());

                mutex.ReleaseMutex();
            }

            mutex.Close();
            mutex.Dispose();
            mutex = null;
        }
    }
}
